# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.610   -> 1.611  
#	drivers/usb/core/usb.c	1.59    -> 1.60   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/30	mochel@osdl.org	1.611
# USB:
# - Set interface's bus type as they're registered with core
# - Set bus_id to have device number as well as interface number
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Fri May 31 00:41:09 2002
+++ b/drivers/usb/core/usb.c	Fri May 31 00:41:09 2002
@@ -904,7 +904,8 @@
 		
 		/* register this interface with driverfs */
 		interface->dev.parent = &dev->dev;
-		sprintf (&interface->dev.bus_id[0], "%03d", ifnum);
+		interface->dev.bus = &usb_bus_type;
+		sprintf (&interface->dev.bus_id[0], "%03d%03d", dev->devnum,ifnum);
 		sprintf (&interface->dev.name[0], "figure out some name...");
 		device_register (&interface->dev);
 
